com.fasterxml.jackson.databind.ext

## Class OptionalHandlerFactory

- java.lang.Object
- - com.fasterxml.jackson.databind.ext.OptionalHandlerFactory

All Implemented Interfaces:
  Serializable

    public class OptionalHandlerFactory
    extends Object
    implements Serializable

Helper class used for isolating details of handling optional+external types (javax.xml classes) from standard factories that offer them.

Author:
  tatu
See Also:
  Serialized Form

### Field Summary

Fields
`static OptionalHandlerFactory` `instance`

### Constructor Summary

Constructors
`protected` `OptionalHandlerFactory()`

### Method Summary

Methods
`JsonDeserializer<?>` `findDeserializer(JavaType type, DeserializationConfig config, BeanDescription beanDesc)`
`JsonSerializer<?>` `findSerializer(SerializationConfig config, JavaType type, BeanDescription beanDesc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final OptionalHandlerFactory instance

### Constructor Detail

#### OptionalHandlerFactory

    protected OptionalHandlerFactory()

### Method Detail

#### findSerializer

    public JsonSerializer<?> findSerializer(SerializationConfig config,
                                   JavaType type,
                                   BeanDescription beanDesc)

#### findDeserializer

    public JsonDeserializer<?> findDeserializer(JavaType type,
                                       DeserializationConfig config,
                                       BeanDescription beanDesc)
                                         throws JsonMappingException

Throws:
  `JsonMappingException`